BlueKeep exploit: Προσοχή κυκλοφορεί για πρώτη φορά


Για πολλούς μήνες, ερευνητές ασφαλείας προειδοποιούσαν δημόσια κυκλοφορία του κώδικα του BlueKeep, ένα worm που εκμεταλλεύεται ευπάθειες σε παλαιότερες εκδόσεις των Windows. Το worm μπορεί να εξαπλωθεί από υπολογιστή σε υπολογιστή όπως έκανε και το worm WannaCry πριν από δύο χρόνια.

Χθες Παρασκευή, το Metasploit framework – ένα εργαλείο ανοιχτού κώδικα που χρησιμοποιείται από τους white και black hat hackers, πρόσθεσε ένα  ένα module που περιέχει το exploit. Έτσι αυτή τη στιγμή κυκλοφορεί, έτοιμο για επιθέσεις.

BlueKeep exploit

Το νέο module, που δημοσιεύτηκε για ανάπτυξη στο  Github, δεν έχει ακόμη την αξιοπιστία του EternalBlue exploit που αναπτύχθηκε από την NSA και χρησιμοποιήθηκε αργότερα στο WannaCry.

Για παράδειγμα, εάν οι χρήστες που χρησιμοποιούν το νέο module ορίσουν λάθος έκδοση των Windows που θέλουν να επιτεθούν, είναι πιθανόν να να δουν μια BSOD στον υπολογιστή τους.

Για να δουλέψει το exploit σε servers απαιτεί ορισμένες αλλαγές στις προεπιλεγμένες ρυθμίσεις με τη μορφή μιας τροποποίησης στο registry που ενεργοποιεί την κοινή χρήση ήχου.

Αντίθετα, με το EternalBlue exploit – που κυκλοφόρησε η ομάδα Shadow Brokers τον Απρίλιο του 2017 – δεν μπορεί να λειτουργήσει απρόσκοπτα σε ένα ευρύ φάσμα εκδόσεων των Windows και στις προεπιλεγμένες ρυθμίσεις τους.

Ένα μήνα μετά τη διαρροή, το EternalBlue κυκλοφόρησε σαν Wannacry ransomware και χτυπούσε υπολογιστές σε παγκόσμιο επίπεδο.

Όπως αναφέραμε προηγουμένως, οι προγραμματιστές του Metasploit πρόσθεσαν το συγκεκριμένο exploit στο εργαλείο δοκιμών διείσδυσης, αλλά δεν φαίνεται να είναι τόσο ευέλικτο όσο το EternalBlue exploit. Εξακολουθεί όμως να είναι αρκετά αποτελεσματικό.

Η Microsoft έχει προειδοποιήσει ήδη αρκετές φορές για σφάλμα των Windows, που θα μπορούσε να οδηγήσει σε άλλο ένα WannaCry
Το ελάττωμα που έχει καταχωρηθεί σαν CVE-2019-0708 και είναι γνωστό με το όνομα BlueKeep, βρίσκεται σε προηγούμενες εκδόσεις των υπηρεσιών Remote Desktop και επηρεάζει τα συστήματα Windows 2003,  XP, Vista 7, Server 2008 R2 και Server 2008.

Αν διαθέτετε κάποιο από τα παραπάνω συστήματα, ενημερώστε άμεσα τους υπολογιστές σας.


Διαβάστε τις Τεχνολογικές Ειδήσεις από όλο τον κόσμο, με την εγκυρότητα του iGuRu.gr

Ακολουθήσετε μας στο Google News iGuRu.gr at Google news